# Storage APIs

Storage service which handles the metadata ingestion in the Managed Planning Data Foundation

```plain {% title="Client ID" %}
963f2cc6915e479fa0fcb73ec2ec90e7
```


Version: 2.0.0

## Servers

SLB Saas OSDU (SGP)
```
https://as5.api.enterprisedata.slb.com/api/storage/v2
```

SLB SaaS OSDU (BRS)
```
https://br5.api.enterprisedata.slb.com/api/storage/v2
```

SLB Saas OSDU (WEU)
```
https://eu5.api.enterprisedata.slb.com/api/storage/v2
```

SLB SaaS OSDU (EUT)
```
https://eu6.api.enterprisedata.slb.com/api/storage/v2
```

SLB Saas OSDU (MDE)
```
https://eu7.api.enterprisedata.slb.com/api/storage/v2
```

SLB Saas OSDU (PSC)
```
https://us5.api.enterprisedata.slb.com/api/storage/v2
```

SLB Saas OSDU (USC)
```
https://us7.api.enterprisedata.slb.com/api/storage/v2
```

SLB Saas OSDU (WUS)
```
https://us8.api.enterprisedata.slb.com/api/storage/v2
```

SLB Saas OSDU (SAS)
```
https://as6.api.enterprisedata.slb.com/api/storage/v2
```

SLB Saas OSDU (SWC)
```
https://eu8.api.enterprisedata.slb.com/api/storage/v2
```

SLB Saas OSDU (MYW)
```
https://as7.api.enterprisedata.slb.com/api/storage/v2
```

SLB Saas OSDU (ZAN)
```
https://za1.api.enterprisedata.slb.com/api/storage/v2
```

## Security

### bearer

User Token from SLB Authenticator Service

Type: http
Scheme: bearer
Bearer Format: JWT

## Download OpenAPI description

 - [Storage APIs](https://developer.slb.com/_bundle/solutions/core-service/apis/OSDU-Storage-Service.yaml)

## Records

 - [POST /records/{id}:delete](https://developer.slb.com/solutions/core-service/apis/osdu-storage-service/records/delete%20record.md): The API performs a logical deletion of the given record. This operation can be reverted later. Required roles: 'users.datalake.editors' or 'users.datalake.admins' who is the OWNER of the record.
 - [POST /records/delete](https://developer.slb.com/solutions/core-service/apis/osdu-storage-service/records/delete%20records.md): The API performs a soft deletion of the given list of records. Required roles: 'users.datalake.editors' or 'users.datalake.admins' who is the OWNER of the record.
 - [PUT /records](https://developer.slb.com/solutions/core-service/apis/osdu-storage-service/records/create%20or%20update%20records.md): The API represents the main injection mechanism into the Data Platform. It allows records creation and/or update. When no record id is provided or when the provided id is not already present in the Da
 - [PATCH /records](https://developer.slb.com/solutions/core-service/apis/osdu-storage-service/records/patch%20records.md): The API represents the patch update mechanism for records. It allows updating multiple records in one request. The API supports metadata update only (Legal Tags, ACLs and Tags) if the request body med
 - [DELETE /records/{id}/versions](https://developer.slb.com/solutions/core-service/apis/osdu-storage-service/records/purge%20record%20versions.md): The API for the given record id, performs the permanent physical deletion record versions excluding latest version and any linked records or files if there are any. If 'limit' query parameter is used
 - [GET /records/versions/{id}](https://developer.slb.com/solutions/core-service/apis/osdu-storage-service/records/get%20all%20record%20versions.md): The API returns a list containing all versions for the given record id. Required roles: 'users.datalake.viewers' or 'users.datalake.editors' or 'users.datalake.admins'.
 - [GET /records/{id}/{version}](https://developer.slb.com/solutions/core-service/apis/osdu-storage-service/records/get%20record%20version.md): The API retrieves the specific version of the given record. Required roles: 'users.datalake.viewers' or 'users.datalake.editors' or 'users.datalake.admins'.
 - [GET /records/{id}](https://developer.slb.com/solutions/core-service/apis/osdu-storage-service/records/get%20record.md): This API returns the latest version of the given record. Required roles: 'users.datalake.viewers' or 'users.datalake.editors' or 'users.datalake.admins'.
 - [DELETE /records/{id}](https://developer.slb.com/solutions/core-service/apis/osdu-storage-service/records/purge%20record.md): The API performs the permanent physical deletion of the given record and all of its versions not including any linked records or files if there are any. It is recommended to clean up all the linked re
## Schemas

 - [GET /schemas/{kind}](https://developer.slb.com/solutions/core-service/apis/osdu-storage-service/schemas/get%20schema.md): The API returns the schema specified by the given kind, which must follow the naming convention {data-partition-id}:{dataset}:{type}:{version}. Required roles: 'users.datalake.viewers' or 'users.datal
 - [POST /schemas](https://developer.slb.com/solutions/core-service/apis/osdu-storage-service/schemas/create%20schema.md): The API allows the creation of a new schema for the given kind. Required roles: 'users.datalake.editors' or 'users.datalake.admins'.
## Query

 - [GET /query/kinds](https://developer.slb.com/solutions/core-service/apis/osdu-storage-service/query/get%20all%20kinds.md): The API returns a list of all kinds with schema registered in Storage service in the specific {data-partition-id}. Default page size limit is 1000. Required roles: 'users.datalake.viewers' or 'users.d
 - [POST /query/records:batch](https://developer.slb.com/solutions/core-service/apis/osdu-storage-service/query/fetch%20multiple%20records.md): The API fetches multiple records at once in the specific {data-partition-id}. The value of {frame-of-reference} indicates whether normalization is applied. Required roles: 'users.datalake.viewers' or
 - [POST /query/records](https://developer.slb.com/solutions/core-service/apis/osdu-storage-service/query/fetch%20records.md): The API fetches multiple records at once. Allowed roles: 'users.datalake.viewers' or 'users.datalake.editors' or 'users.datalake.admins'.
## Info

 - [GET /info](https://developer.slb.com/solutions/core-service/apis/osdu-storage-service/info/version%20info.md): For deployment available public `/info` endpoint, which provides build and git related information.
